#ifndef IIC_H
#define IIC_H

/*
Description : Universal IIC (I2C) Driver for MC9S08GB60A
              At the moment only slave capabilities are implemented.

Platform    : MC9S08GB60A (shoule run on every HS08 and maybe others)	

Author      : Erich Studer

Contact     : richu_@hotmail.com

Date        : Dez. 2010

History
	Whow    :
	What    :
	Date    :
*/

/*
Type for the function handling the incoming data.
*/
typedef void (*IIC_handlerT)(unsigned char data);

/*********************************/
// Initialisation IIC
//
// In:  handler:  handler function, called for every byte received 
//    
// Out: -
/*********************************/
void IIC_init(IIC_handlerT);


/*********************************/
// Sends some bytes of data 
//
// In:  dataPtr: pointer to the data
//      size   : byte size of data
//
// Out: -
/*********************************/
void IIC_send(unsigned char*, unsigned int);


#endif IIC_H

